---
layout: page
title: Using
permalink: /using
---

# Using

Here is a list of notable equipment and tools I use. The purpose of this list is to remind myself to be intentional about the things that I surround myself with and utilize on a daily basis.

Last updated: {{ post_last_modified }} ago

## At the Desk

### Workspace
- **Desk**: Custom-built sit-stand desk (*Built in 2022*)
  - Tabletop: Custom walnut tabletop (54" length x 30" width x 1-1/2" thick with rounded corners) from [Atelier East-End Mtl](https://eastendmtl.com/)
  - Legs: Apex Pro from [Deskhaus](https://desk.haus/)
- **Chair**: Herman Miller Aeron (*Purchased in 2023*)
  - Add-on: Headrest for Aeron Chair from [Atlas Headrest](https://atlasheadrest.com/)
  - If the Aeron did not exist, I would have purchased the Embody.

### Stationery
- **Fountain pens:**
  - LAMY Safari (Matte Black, EF)
  - Montblanc Meisterstück LeGrand (Platinum, EF)
  - Pilot Decimo (Dark Grey, EF)
  - Pilot Vanishing Point (Matte Black, F)
  - Pilot Custom 823 (Amber Brown, F)
  - Sailor Pro Gear (Graphite Lighthouse, MF)
  - Sailor Pro Gear (Knight to E4, MF)
  - Sailor Pro Gear Realo (Black, F)
  - TWISBI Diamond 580ALR (Nickel, EF)
- **Fountain pen ink**:
  - Platinum Carbon Black
  - Sailor Sei-boku
- **Notebooks/paper**:
  - Journaling in a Midori MD notebook (A5, dot grid).
  - Planning in a Plotter ring binder (Liscio black, personal/bible-sized, various paper).
  - Logging books/games in a Traveler's notebook (standard-sized, camel cover).
  - Carrying around a Traveler's notebook (passport-sized, brown cover) as a pocket notebook. Useful!

## Hardware

### Devices  
- **Computer**: Custom-built desktop machine (*Built in 2024*)
  - CPU: AMD Ryzen 7 7900X3D 4.2GHz 8-Core
  - GPU: AMD Radeon RX 7900 XT 20GB
  - RAM: 32GB (2 x 16GB) DDR5-6000
- **Phone**: iPhone 11 (*Purchased in 2019*)
- **E-reader**: Kobo Clara (*Purchased in 2023*)

### Computer Peripherals
- **Monitors**: Using a stacked dual-screen setup
  - 34" 21:9 IPS 180Hz (*Purchased in 2022*)
  - 24" 16:9 IPS 60Hz (*Purchased in 2020*)
- **Keyboard**: Custom mechanical keyboard *(Built in 2024*)
  - PCB: [Wooting 60HE](https://wooting.io/wooting-60he) (*Purchased in 2023*)
  - Case: Tofu60 Redux
  - Switches: Geon Raw HE (50g, factory lubed)
  - Keycaps: PBTfans X-Ray set designed by [Mod Musings](https://www.modmusings.com/)
- **Mice**:
  - Logitech G PRO X Superlight 2 (*Gifted in 2023*)
  - Logitech G604 (Purchased in 2020) — Used exclusively for playing FFXIV because that game has way too many short cooldowns to be mapping only on the keyboard.
  - Logitech MX Master 2S (*Purchased in 2021*) — Used exclusively for work purposes.
- **Microphone setup**:
  - Audio interface: Elgato Wave XLR (*Purchased in 2022*)
  - Microphone: Audio Technica AT2035 (*Purchased in 2018*)
  - Boom arm: RODE PSA1 (*Purchased in 2017*)
- **Headphone setup**:
  - Headphone DAC/Amplifer: FiiO K5 Pro (*Purchased in 2024*)
  - Headphones:
    - Recently, I purchased a bunch of IEMs that were on sale at [Linsoul](https://www.linsoul.com/) and am currently using whatever I open first. Turns out I prefer using IEMs over headphones.
    - Previously, I used the Audio-Technica ATH-M50X headphones (from 2014⁠–2024) until it died.
  - Speakers: Kanto YU2 (*Purchased in 2023*)

## Software

### General
- **Operating system**: [Fedora](https://fedoraproject.org/) KDE
  - In 2024, I switched over from Windows 11 to using Linux on my personal computer. Surprisingly, the transition has been smooth sailing with some minor audio/video issues that were easy to fix.
  - Alternatives I've tried: Arch Linux, Solus, Linux Mint, Ubuntu, Windows 11/10/8/XP/1998, Mac OS X Snow Leopard, etc.
- **Browser**: [Mozilla Firefox](https://www.mozilla.org/firefox)
  - Hardened for my daily usage.
  - Sometimes I use [Brave](https://brave.com/) if I need to use a Chromium-based browser.
- **Password Manager**: [Bitwarden](https://bitwarden.com/)
- **RSS feed reader**: [CommaFeed](https://www.commafeed.com/)

### Communications
- **Email**: [ProtonMail](https://proton.me/mail)
  - Alternatives I've tried: Fastmail, Gmail, Hotmail
- **Chat**: [Discord](https://discord.com/)
  - I don't like how reliant gamers have become on Discord for communications.
  - However, I also don't miss the days of having to install Ventrilo, Mumble, TeamSpeak, Skype, RaidCall, Curse Voice, etc. on your computer because different teams and friend groups used different voice programs.

### Productivity
- **Calendar**: [ProtonCalendar](https://proton.me/calendar)
- **Notes**: [Capacities](https://capacities.io/)
  - I've tried and used an unbelievable number of note-taking applications over the years.
  - Capacities has been the only app that has made sense to me in terms of linking relevant notes together. It also checks the boxes for features that I am looking for in a note-taking application.
  - Alternatives I've tried: Obsidian, Logseq, Standard Notes, BookStack, Joblin, Notion, Simple Note, TiddlyWiki, GitBook, Notational Velocity, Evernote, OneNote, etc.
- **Kanban**: Trello
  - Currently considering: [WeKan](https://wekan.github.io/), [Planka](https://planka.app/)
- **Budgeting**: [Actual](https://actualbudget.org/)
  - I like budgeting using the envelope system.
  - Alternatives I've tried: You Need A Budget

### Development
- **Font**: Hack Nerd Font
- **Theme**: [Ayu](https://github.com/ayu-theme) Dark
- **Tabs**: 2 spaces
- **Terminal emulator**: Konsole
  - It comes with the KDE desktop environment.
  - I don't use the terminal enough to develop a personal preference.
- **Editor**: Visual Studio Code
  - It works and does what I need it to do out-of-the-box.
  - Alternatives I've tried: Neovim, Sublime Text, Atom, Brackets, Notepad++, Notepad, etc.
- **Repository**: [Gitea](https://about.gitea.com/)
  - Currently, I am using a self-hosted Gitea to store my project repositories.
  - Also using GitHub to mirror my project repositories.

## Paid Subscriptions and Services

Here are online subscriptions and services that I pay for:

| Subscriptions               |  Annual USD | Monthly USD | Monthly CAD |
| --------------------------- | ----------: | ----------: | ----------: |
| Bitwarden                   |      $10.00 |       $0.83 |       $1.19 |
| Hover (domain names)        |      $55.33 |       $4.61 |       $6.63 |
| Bear (blogging platform)    |      $49.00 |       $4.08 |       $5.89 |
| PikaPods (hosting web apps) |      $72.06 |       $6.05 |       $8.66 |
| Proton (Mail Plus)          |      $47.99 |       $3.99 |       $5.74 |
| Discord (Nitro Basic)       |      $33.89 |       $2.82 |       $4.05 |
| Spotify (Duo)               |     $149.40 |      $12.45 |      $17.89 |
| Video streaming (various)   |     $166.92 |      $13.91 |      $20.00 |
| Gaming subscriptions        |     $166.92 |      $13.91 |      $20.00 |
| **Totals**                  | **$752.05** |  **$62.65** |  **$90.05** |

For PikaPods, I have a couple web apps deployed using their managed services:
- [Actual](https://actualbudget.org/) for personal budgeting using the envelop method.
- [CommaFeed](https://github.com/Athou/commafeed/) for reading RSS feeds.
- [Gitea](https://gitea.com/) for my personal project repositories.
- [Umami](https://umami.is/) for website analytics.

For video streaming, I rotate through a number of services and only subscribe for a month at a time to watch what I want. In some months, I don't have an active subscription running, so this number is a little inflated.

For gaming subscriptions, similar to above idea.

Overall, I am quite happy with how much I am spending on my online subscriptions. It could be better, but I am satisfied that it is below $100 CAD per month.
